%define major		0.10
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define libnamewdt	%mklibname %{name}-widgets %{major}
%define develnamewdt	%mklibname %{name}-widgets -d
%define libnameqml	%mklibname %{name}-qml %{major}
%define develnameqml	%mklibname %{name}-qml -d

Name:		vlc-qt
Version:	0.10.0
Release:	%mkrel 2
Summary:	A simple library to connect Qt application with libvlc
License:	GPLv3+
Group:		System/Libraries
URL:		http://vlc-qt.tano.si/
# Generated by github https://github.com/ntadej/vlc-qt
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	qt5-devel
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(libvlc)

%description
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	A simple library to connect Qt application with libvlc (core)
Group:		System/Libraries

%description -n %{libname}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains %{name} core library.

#----------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Headers and development libraries for vlc-qt core library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Headers and development libraries for %{name} core library.

#----------------------------------------------------------------------------

%package -n	%{libnamewdt}
Summary:	A simple library to connect Qt application with libvlc (widgets)
Group:		System/Libraries

%description -n %{libnamewdt}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains %{name} widgets library.

#----------------------------------------------------------------------------

%package -n	%{develnamewdt}
Summary:	Headers and development libraries for vlc-qt widgets library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamewdt} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-widgets-devel = %{version}-%{release}

%description -n %{develnamewdt}
Headers and development libraries for %{name} widgets library.

#----------------------------------------------------------------------------

%package -n	%{libnameqml}
Summary:	A simple library to connect Qt application with libvlc (widgets)
Group:		System/Libraries

%description -n %{libnameqml}
VLC-Qt is a free library used to connect Qt and libvlc libraries.
It contains core classes for main media playback and also some GUI
classes for faster media player development.

This package contains %{name} qml library.

#----------------------------------------------------------------------------

%package -n	%{develnameqml}
Summary:	Headers and development libraries for vlc-qt widgets library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnameqml} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-qml-devel = %{version}-%{release}

%description -n %{develnameqml}
Headers and development libraries for %{name} qml library.

#----------------------------------------------------------------------------
%prep
%setup -q

%build
%cmake .. \
	%ifarch x86_64
	-DLIB_SUFFIX=64 \
	%endif
	-DCMAKE_INSTALL_PREFIX="%{_prefix}" \
	-DWITH_QML:BOOL=ON \
	-DWITH_WIDGETS:BOOL=ON \
	-DCMAKE_CXX_FLAGS_RELEASE= \
	-DFORCE_QT5:BOOL=ON \
	-DCMAKE_BUILD_TYPE=RelWithDebugInfo
%make

%install
%make_install -C build

%files  -n %{libname}
%{_libdir}/libvlc-qt.so.%{major}
%{_libdir}/libvlc-qt.so.%{major}.*

%files  -n %{develname}
%doc CHANGELOG README.md LICENSE.*
%{_libdir}/pkgconfig/libvlc-qt.pc
%{_libdir}/libvlc-qt.so
%{_includedir}/%{name}/Audio.h
%{_includedir}/%{name}/Common.h
%{_includedir}/%{name}/Config.h
%{_includedir}/%{name}/Enums.h
%{_includedir}/%{name}/Error.h
%{_includedir}/%{name}/Instance.h
%{_includedir}/%{name}/Media.h
%{_includedir}/%{name}/MediaList.h
%{_includedir}/%{name}/MediaListPlayer.h
%{_includedir}/%{name}/MediaPlayer.h
%{_includedir}/%{name}/MetaManager.h
%{_includedir}/%{name}/SharedExportCore.h
%{_includedir}/%{name}/Video.h
%{_includedir}/%{name}/VideoDelegate.h
%{_includedir}/%{name}/VideoFrame.h
%{_includedir}/%{name}/VideoMemoryStream.h
%{_includedir}/%{name}/Stats.h

%files  -n %{libnamewdt}
%{_libdir}/libvlc-qt-widgets.so.%{major}
%{_libdir}/libvlc-qt-widgets.so.%{major}.*

%files  -n %{develnamewdt}
%{_libdir}/pkgconfig/libvlc-qt-widgets.pc
%{_libdir}/libvlc-qt-widgets.so
%{_includedir}/%{name}/ControlAudio.h
%{_includedir}/%{name}/ControlVideo.h
%{_includedir}/%{name}/SharedExportWidgets.h
%{_includedir}/%{name}/WidgetSeek.h
%{_includedir}/%{name}/WidgetVideo.h
%{_includedir}/%{name}/WidgetVolumeSlider.h

%files  -n %{libnameqml}
%{_libdir}/libvlc-qt-qml.so.%{major}
%{_libdir}/libvlc-qt-qml.so.%{major}.*

%files  -n %{develnameqml}
%{_libdir}/pkgconfig/libvlc-qt-qml.pc
%{_libdir}/libvlc-qt-qml.so
%{_includedir}/%{name}/QmlVideoPlayer.h
%{_includedir}/%{name}/QmlVideoObject.h
%{_includedir}/%{name}/SharedExportQml.h


%changelog
* Thu Jan 28 2016 neoclust <neoclust> 0.10.0-2.mga6
+ Revision: 928546
- Fix build on ARM

* Sun Nov 22 2015 alexl <alexl> 0.10.0-1.mga6
+ Revision: 904959
- version 0.10.0
- del upstreamed patches
- new url
- s/makeinstall_std/make_install/
- enable parallel build

* Wed Feb 18 2015 luigiwalser <luigiwalser> 0.9.0-8.mga5
+ Revision: 815578
- rebuild for VLC 2.2.0 and libvlccore8

* Mon Dec 29 2014 alexl <alexl> 0.9.0-7.mga5
+ Revision: 807073
-fixed building qml libs

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-6.mga5
+ Revision: 746637
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-5.mga5
+ Revision: 690226
- Mageia 5 Mass Rebuild

* Wed Apr 09 2014 daviddavid <daviddavid> 0.9.0-4.mga5
+ Revision: 613055
- enable Qt5 QML module
- switch to Qt5 builder (source package allows it)
- add BR (Qt5Quick)
- add a Patch1 to fix missing pkgconfig files
- fix duplicate headers files on devel packages
- fix cmake and make build (workaround)
- rename Patch0

* Tue Apr 08 2014 daviddavid <daviddavid> 0.9.0-3.mga5
+ Revision: 612921
- rebuild for new cleaned spec file
- fix some macro and typo

* Mon Apr 07 2014 alexl <alexl> 0.9.0-2.mga5
+ Revision: 612499
- add linkage patch
- rewrite spec

* Sun Apr 06 2014 alexl <alexl> 0.9.0-1.mga5
+ Revision: 612426
- imported package vlc-qt

